# Sage Intacct

### Connecting to Sage Intacct <a href="#connecting-to-sage-intacct" id="connecting-to-sage-intacct"></a>

To connect to Web Services, you will first need to enable the Web Services subscription. Navigate to Company > Admin Tab > Subscriptions and enable Web Services.

Intacct also recommends creating a Web Services-only user, which can be done by navigating to Company > Admin Tab, and clicking on the + sign beside Web Services users.

You can establish a connection to Sage Intacct with your own credentials.

### Authenticating to Sage Intacct <a href="#authenticating-to-sage-intacct" id="authenticating-to-sage-intacct"></a>

To authenticate, set CompanyID and set User and Password to the credentials you use to log on to Sage Intacct. In addition, you will need to either set your own SenderID and SenderPassword.

#### Connect using Custom Credentials <a href="#connect-using-custom-credentials" id="connect-using-custom-credentials"></a>

You can use your own Web Services credentials to write data to Intacct. Set the following to connect to data:

* SenderID: Set this to the Web Services Sender ID assigned to you by Sage Intacct.
* SenderPassword: Set this to your registered Web Services password.

#### Okta <a href="#okta" id="okta"></a>

Set the AuthScheme to Okta. The following connection properties are used to connect to Okta:

* User: Set this to the Okta user.
* Password: Set this to Okta password for the user.
* SSOLoginURL: Set this to the login url used by the SSO provider.

The following SSOProperties are needed to authenticate to Okta:

* IntacctUserID: Set this value to the Intacct User ID that is mapped to the Okta user you set in the User connection property.
* APIToken (optional): Set this to the API Token that the customer created from the Okta org. It should be used when authenticating a user via a trusted application or proxy that overrides Okta client request context.

The following is an example connection string: AuthScheme=Okta; SSOLoginURL='<https://example.okta.com/home/appType/0bg4ivz6cJRZgCz5d6/46>'; User=oktaUserName; Password=oktaPassword; SSOProperties='IntacctUserID=intacct\_user';


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appstrategy.com/apprules-r-documentation/platform/platform-features/system-settings/data-sources/connection-settings/accounting/sageintacct.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
